FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=26 OS_GIT_VERSION=4.2.26-202003230335-4b39863 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=4b39863ed739013e58fa9ca22fa6c945ec6c2f51 SOURCE_GIT_TAG=v1.0.0-229-g4b39863 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator SOURCE_DATE_EPOCH=1582751545 OS_GIT_COMMIT=4b39863 BUILD_VERSION=v4.2.26 BUILD_RELEASE=202003230335
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.2.26.20200323.033520
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=26 OS_GIT_VERSION=4.2.26-202003230335-4b39863 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=4b39863ed739013e58fa9ca22fa6c945ec6c2f51 SOURCE_GIT_TAG=v1.0.0-229-g4b39863 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator SOURCE_DATE_EPOCH=1582751545 OS_GIT_COMMIT=4b39863 BUILD_VERSION=v4.2.26 BUILD_RELEASE=202003230335
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        name="openshift/ose-cluster-version-operator" \
        com.redhat.component="cluster-version-operator-container" \
        version="v4.2.26" \
        release="202003230335" \
        io.openshift.build.commit.id="4b39863ed739013e58fa9ca22fa6c945ec6c2f51" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/4b39863ed739013e58fa9ca22fa6c945ec6c2f51"

